Subject: Re: bug#54175: 27.2; Info-follow-reference completions in reverse order

From: Howard Melman <[email-masked]>
Date: Sun, 27 Feb 2022 12:18:49 -0500

> On Feb 27, 2022, at 12:09 PM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Howard Melman <[email-masked]>
>> Date: Sun, 27 Feb 2022 11:59:35 -0500
>> 
>> On Feb 27, 2022, at 11:49 AM, Eli Zaretskii <[email-masked]> wrote:
>>> 
>>>> From: Howard Melman <[email-masked]>
>>>> Date: Sun, 27 Feb 2022 10:43:49 -0500
>>>> 
>>>> 2. It's not unreasonable to expect a completion table to be in a meaningful 
>>>> order when there is one.
>>> 
>>> But what is a meaningful order in this particular case, why is it
>>> more meaningful than the current order?
>> 
>> I believe I explained this.  It is the order they are found in the node. It means 
>> the offered candidates appear to me in the order I see them in the
>> node.
> 
> But if your position is near the end of the buffer, the first
> cross-reference in the node will also be the one that's the farthest.
> I'm not sure I understand the utility of such an order.

It doesn't help in all cases.  If you're positioned near the end of the node
then you might be positioned near the reference and get it as the default.
But when visiting a node you start at the top, and many nodes fit entirely
on one screen, so it's a more common case that it will help (again for a
imperceptible cost).  It's certainly a more intuitive order than what is returned
now.

Howard